diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 4e3ea32..6bb3831 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -18833,13 +18833,17 @@ in the Category, Domain, or Package source code.
 <<defun describeSpad2Cmd>>=
 (defun describeSpad2Cmd (l)
  (labels (
+  (fullname (arg)
+   "Convert abbreviations to the full constructor name"
+   (let ((abb (getdatabase arg 'abbreviation)))
+    (if abb arg (getdatabase arg 'constructor))))
   (describeInternal (cdp internal?)
    (if internal?
     (progn
      (unless (eq (getdatabase cdp 'constructorkind) '|category|) (|dc| cdp))
      (showdatabase cdp))
     (mapcar #'(lambda (x) (if (stringp x) (cleanline x)))
-     (flatten  (car (getdatabase cdp 'documentation)))))))
+     (flatten  (car (getdatabase (fullname cdp) 'documentation)))))))
  (let ((|$e| |$EmptyEnvironment|) (opt (second l)))
   (declare (special |$e| |$EmptyEnvironment| $describeOptions))
   (if (and (pairp l) (not (eq opt '?)))
diff --git a/changelog b/changelog
index 9df4b30..ca9ce8d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100525 tpd src/axiom-website/patches.html 20100525.02.tpd.patch
+20100525 tpd books/bookvol5 fix )describe to accept abbreviations
 20100525 tpd src/axiom-website/patches.html 20100525.01.tpd.patch
 20100525 tpd src/algebra/Makefile help and test for PAFF, PAFFFF
 20100525 tpd books/bookvol5 expose PAFF, PAFFFF
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9d7a17b..09fdbfc 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2800,5 +2800,7 @@ books/bookvol10.4 add GeneralPackageForAlgebraicFunctionField<br/>
 <a href="patches/20100525.01.tpd.patch">20100525.01.tpd.patch</a>
 books/bookvol10.4 add PackageForAlgebraicFunctionFieldOverFiniteField<br/>
 books/bookvol10.4 add PackageForAlgebraicFunctionField<br/>
+<a href="patches/20100525.02.tpd.patch">20100525.02.tpd.patch</a>
+books/bookvol5 fix )describe to accept abbreviations
  </body>
 </html>
